## rxtx 2.2.0+dfsg

=== CNI/Makefile ===

CFLAGS=-Wall -g -O2 -D_POSIX_SOURCE -D_BSD_SOURCE -D__need_timespec -O2 -D_POSIX_SOURCE -D_BSD_SOURCE -D__need_timespec

javafiles=$( wildcard *.java )
classfiles=$( patsubst %.java,gnu/io/%.class,$( wildcard *.java ) )
objects=$( patsubst %.java,gnu/io/%.o,$( wildcard *.java ) )

all:  Simple

Simple: librxtx.so librxtx.a
	#gcj *.o librxtx.a -static  -lgcj -lpthread -ldl -lz -o Simple --main=Simple
	ln -s Simple.Java Simple.java
	gcj --classpath RXTX.jar  -d . -C Simple.java
	rm Simple.java
	gcj -g -classpath RXTX.jar -d . -c Simple.class
	gcj -g *.o gnu/io/*.o -static  -lgcj -lpthread -ldl -lz -o Simple --main=Simple


librxtx.a:  gnu/io/SerialImp.o gnu/io/fuserImp.o objects
	ar rs librxtx.a  gnu/io/*.o *.o

librxtx.so:  gnu/io/SerialImp.o gnu/io/fuserImp.o objects
	g++ -g -shared gnu/io/*.o *.o -lpthread  -Wl,-soname -Wl,librxtx-0.0-1.so -o librxtx-0.0-1.so
	rm -f librxtx.so && ln -s librxtx-0.0-1.so librxtx.so

objects: classfiles
	(cd gnu/io && gcj -g -classpath ../.. -d gnu/io -c *.class )

gnu/io/SerialImp.o:  classfiles
	g++ $(CFLAGS) -I . -c SerialImp.c

gnu/io/fuserImp.o:  classfiles
	g++ $(CFLAGS) -I . -c fuserImp.c

classfiles:
	rm -f Simple.java
	gcj -d . -C *.java
	for i in gnu/io/*.class;do gcjh -d . `echo $$i|sed s/.class//g`;done
	jar -cf RXTX.jar gnu/io/*.class

clean:
	rm -f gnu/io/*
	rm -f *.a *.o *.so *.class Simple *.jar
	rmdir gnu/io
	rmdir gnu

=== src/psmisc/Makefile ===
CC=cc
CFLAGS=-O -D_GNU_SOURCE -Wall -Wno-parentheses -Wwrite-strings -Wpointer-arith 
REAL_CPP=/lib/cpp
LIBDIR=/usr/lib

all:	libpsmisc.la testing

testing:	testing.c libpsmisc.la
	cp .libs/*so* .
	$(CC) $(CFLAGS)  -L .libs -lpsmisc -o testing testing.c 
libpsmisc.la:	fuser.c Makefile 
	libtool --mode=compile $(CC)  $(CFLAGS)  -c fuser.c
	libtool --mode=link $(CC) $(CFLAGS) --version-info 1:0:1 -o libpsmisc.la -rpath $(LIBDIR) fuser.lo 

clean:
		rm -rf *.o .libs *~ core testing *.lo libps*

## rxtx 2.2pre2

=== debian/changelog ===
rxtx (2.2pre2-13) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Correct Format and remove broken Source link.
    - Update Upstream-Source and contact email address in copyright
  * debian/control:
    - Update upstream in debian/control.
    - Update Vcs links to use canonical URLs.
    - Add tmancill@debian.org to Uploaders.

 -- tony mancill <tmancill@debian.org>  Sun, 20 Jul 2014 20:40:59 -0700

rxtx (2.2pre2-12) unstable; urgency=medium

  * Team upload.
  * Apply patch for USB serial adapters at 38400 (Closes: #740098)
    - Thank you to Jan Niehusmann for the analysis and patch.
  * Apply patch for buffer overflow with long paths.  (Closes: #731151)
    - Thank you to Jose Luis Guardiola for the patch.
  * Remove DMUA field from debian/control.
  * Bump DH dependency from 8 to 9.
    - Add patch for compilation with format-security as error.
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Tue, 25 Feb 2014 20:46:17 -0800

rxtx (2.2pre2-11) unstable; urgency=low

  * debian/patches/MonitorThread-daemon.patch
    - Mark threads created by RXTX as daemon so JVM can shut down
      gracefully. Thanks to Christopher Wellons (Closes: #674975)
  * debian/patches/fhs_lock_buffer_overflow_fix.patch 
    - Prevents java from failing with buffer overflow when a locked serial
      debice is opened. Thanks to Sergio Talens-Oliag (Closes: #673778)

 -- Scott Howard <showard@debian.org>  Sat, 02 Jun 2012 10:13:50 -0400

rxtx (2.2pre2-10) unstable; urgency=low

  * debian/patches/multiple_property_dirs.patch
    - handles the case where the "java.ext.dirs" system property contains
      more than one directory. (Closes: #646069) Thanks Philip Ashmore.
  * Added librxtx-java-dbg package and added uninstall target
    (Closes: #646356)

 -- Scott Howard <showard@debian.org>  Mon, 31 Oct 2011 03:04:52 -0400

rxtx (2.2pre2-9) unstable; urgency=low

  * debian/rules: dh_install -X.la for removal of *.la from libraries

 -- Scott Howard <showard@debian.org>  Tue, 04 Oct 2011 18:24:09 -0400

rxtx (2.2pre2-8) UNRELEASED; urgency=low

  * Updated kfreebsd_port.patch to follow FHS
  * replaced debian_porting.patch with sys_io_h_check.patch to use
    AC_CHECK_HEADERS to determine if sys/io.h is on a system. Thanks
    to Nobuhiro Iwamatsu. (Closes: #609152)
  * port_to_hurd.patch defines that HURD uses the FHS.

 -- Scott Howard <showard@debian.org>  Wed, 23 Feb 2011 23:28:09 -0500

rxtx (2.2pre2-7) unstable; urgency=low

  * Continued poritng effor: added --with autotools-dev 
    --with autoreconf to debian/rules

 -- Scott Howard <showard@debian.org>  Sun, 06 Feb 2011 12:56:21 -0500

rxtx (2.2pre2-6) unstable; urgency=low

  * debian/patches/kfreebsd_libpthread.patch
    - libc_r is not available, use libpthread on kfreebsd
  * Merge to unstable

 -- Scott Howard <showard@debian.org>  Sun, 06 Feb 2011 12:05:45 -0500

rxtx (2.2pre2-5) experimental; urgency=low

  * debian/patches/kreebsd_porting.patch
    - Fixed a FTBFS from not defining __FreeBSD_kernel__
  * Ported to s390 by adding it to debian_porting.patch.

 -- Scott Howard <showard@debian.org>  Fri, 04 Feb 2011 00:32:37 -0500

rxtx (2.2pre2-4) experimental; urgency=low

  * Updated debian/copyright.
  * debian/compat is now 8
  * debian/patches/debian_porting.patch
    - Fixed a FTBFS in src/RawImp.c for systems without sys/io.h
      (Closes: #609152)
  * debian/patches/kreebsd_porting.patch
    - Fixed a FTBFS from not defining __FreeBSD_kernel__
      (Closes: #585089) 
  * debian/patches/zsystem_exception.patch
    - Print error if initialization fails (Closes: #472053) 

 -- Scott Howard <showard@debian.org>  Thu, 03 Feb 2011 21:05:47 -0500

rxtx (2.2pre2-3) experimental; urgency=low

  * Added ${java:Recommends} to debian/control to recommend links to
    system installed javadocs per Debian Java Policy.
  * Debian policy 3.9.1 (no changes).
  * Added ttyACM_ports.patch to allow for enumeration of many additional
    ports, including ttyACM used in Arduino Uno development boards.

 -- Scott Howard <showard314@gmail.com>  Tue, 05 Oct 2010 09:42:49 -0400

rxtx (2.2pre2-2) unstable; urgency=low

  * Added javadoc to package
  * Changed build depend on default-jdk-builddep to default-jdk

 -- Scott Howard <showard314@gmail.com>  Thu, 24 Jun 2010 20:39:54 -0400

rxtx (2.2pre2-1) unstable; urgency=low

  * New upstream release:
    - Fixes JVM crash and UnsatisfiedLinkError/NoClassDefFoundError
      (Closes: #523139) (Closes: #489701)
    - Fixes amd64 support (Closes: #574395)
  * Added debian/watch file
  * Switched to source format 3.0 (quilt)
    - moved debian changes into patch in debian/patches
  * Changed rules to use dh
  * Fixed multiple lintian errors and multiple warnings
    - Policy version 3.8.4
  * Section moved to java from libs
  * Moved to team maintenance: Maintainer: Debian Java maintainers
    - Mario and I moved to uploaders
  * DM Uploads Allowed: yes
  * Build depends on javahelper
    - Binary depends on ${java:Depends}, use jh_installlibs for versioned
      install
    - Versioned naming of RXTXcomm.jar (Debian java policy)
  * Added VCS tags to debian/control
  * Libs now install in /usr/lib/jni instead of /usr/lib
  * Added doc-base file

 -- Scott Howard <showard314@gmail.com>  Thu, 03 Jun 2010 23:19:16 -0400

rxtx (2.1.7r2-4) unstable; urgency=low

  * Changed Java build dependency to default-jdk-builddep.
    (closes: Bug#491169)
  * Changed Java dependency to java-runtime.
    (closes: Bug#463115)

 -- Mario Joussen <joussen@debian.org>  Mon, 21 Jul 2008 18:20:31 +0200

rxtx (2.1.7r2-3) unstable; urgency=low

  * Removed check of UTS_RELEASE.
    (closes: Bug#428998)

 -- Mario Joussen <joussen@debian.org>  Sat, 28 Jul 2007 16:13:55 +0200

rxtx (2.1.7r2-2) unstable; urgency=low

  * Fixed configure script for Java version 1.6.
    (closes: Bug#417109)

 -- Mario Joussen <joussen@debian.org>  Tue,  3 Jul 2007 21:27:42 +0200



=== debian/control ===
Source: rxtx
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9), libtool, javahelper, default-jdk,
 dh-autoreconf, autotools-dev
Standards-Version: 3.9.5
Homepage: https://github.com/rxtx/rxtx
Vcs-Git: git://anonscm.debian.org/pkg-java/rxtx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/rxtx.git

Package: librxtx-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Provides: lib-rxtx-java
Conflicts: lib-rxtx-java
Description: Full Java CommAPI implementation
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.

Package: librxtx-java-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, librxtx-java (= ${binary:Version})
Description: Full Java CommAPI implementation, Debugging Symbols
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.
 .
 This package contains the debugging symbols for librxtx-java.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autotools-dev --with autoreconf --with javahelper

override_dh_auto_install:
	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
			JHOME=$(CURDIR)/debian/librxtx-java/usr/share/java

override_dh_auto_build:
	$(MAKE) RXTX_PATH=/usr/lib/jni
	$(MAKE) docs

override_dh_install:
	find . -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=librxtx-java-dbg

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://rxtx.qbang.org/pub/rxtx/rxtx-([0-9].*[0-9])\.zip

## rxtx 2.2pre2+dfsg1

=== debian/changelog ===
rxtx (2.2pre2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Repack the upstream tarball and remove prebuilt jar files and CVS
    directories.
  * Switch to compat level 10.
  * Drop librxtx-java-dbg binary package and use the automatic -dbgsym package
    instead.
  * Declare compliance with Debian Policy 4.1.1.
  * Add java9.patch and support Java 9 by building with -source/-target 1.8.
    Thanks to Chris West for the report. (Closes: #873999)
  * Add privacy-breach.patch and fix various Lintian warnings about
    privacy breach.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Oct 2017 13:54:14 +0200

=== debian/control ===
Source: rxtx
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 10), libtool, javahelper, default-jdk
Standards-Version: 4.1.1
Homepage: https://github.com/rxtx/rxtx
Vcs-Git: https://anonscm.debian.org/git/pkg-java/rxtx.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-java/rxtx.git

Package: librxtx-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Provides: lib-rxtx-java
Conflicts: lib-rxtx-java
Description: Full Java CommAPI implementation
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with autotools-dev --with autoreconf --with javahelper
+	dh $@ --with javahelper
 
 override_dh_auto_install:
 	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
@@ -17,5 +17,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_strip:
-	dh_strip --dbg-package=librxtx-java-dbg

## rxtx 2.2.0+dfsg

=== debian/changelog ===
rxtx (2.2.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/rules: only enable printer support on architectures where sys/io.h
    exists (Closes: #1070417)

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Oct 2024 16:55:34 +0100

rxtx (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.7.0

  [ Andreas Beckmann }
  * Fix building with -Werror=implicit-function-declaration (Closes: #1066703)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 01 May 2024 11:53:26 +0200

rxtx (2.2.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2022 07:27:51 -0800

rxtx (2.2.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * Update debian/watch and debian/copyright for new upstream
  * New upstream version 2.2.0+dfsg (Closes: #1025955)
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Mon, 12 Dec 2022 21:36:21 -0800

rxtx (2.2pre2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * No longer build the javadoc (Closes: #1011560)
  * No longer install RMISecurityManager.html (obsolete)
  * Standards-Version updated to 4.6.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 May 2022 10:34:56 +0200

rxtx (2.2pre2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897558)
  * Fixed the NullPointerException with Java 10 caused by the null
    java.ext.dirs system property (Closes: #896929)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 May 2018 16:34:13 +0200

=== debian/control ===
Source: rxtx
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Scott Howard <showard@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libtool
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/rxtx.git
Vcs-Browser: https://salsa.debian.org/java-team/rxtx
Homepage: https://github.com/rxtx/rxtx

Package: librxtx-java
Architecture: any
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${java:Recommends}
Provides: lib-rxtx-java
Conflicts: lib-rxtx-java
Description: Full Java CommAPI implementation
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.

=== debian/rules ===
#!/usr/bin/make -f

# only enable the (experimental) printer support on
# architectures where sys.io.h is available (#1070417)
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
	DH_CONFIGURE_OPTIONS = --enable-PRINTER
else
	DH_CONFIGURE_OPTIONS = --disable-PRINTER
endif

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	dh_auto_configure -- $(DH_CONFIGURE_OPTIONS)

override_dh_auto_install:
	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
			JHOME=$(CURDIR)/debian/librxtx-java/usr/share/java

override_dh_auto_build:
	$(MAKE) RXTX_PATH=/usr/lib/jni

override_dh_install:
	find . -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
